Upstream information

CVE-2019-1010238 at MITRE

Description

Gnome Pango 1.42 and later is affected by: Buffer Overflow. The impact is: The heap based buffer overflow can be used to get code execution. The component is: function name: pango_log2vis_get_embedding_levels, assignment of nchars and the loop condition. The attack vector is: Bug can be used when application pass invalid utf-8 strings to functions like pango_itemize.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1142332 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications pango Not affected
SUSE Linux Enterprise 15 Module for Basesystem pango Not affected
SUSE Linux Enterprise 15 Module for Desktop Applications pango Not affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem pango Not affected
SUSE Linux Enterprise 15-SP1 Module for Desktop Applications pango Not affected
SUSE Linux Enterprise Desktop 12 SP3 pango Not affected
SUSE Linux Enterprise Desktop 12 SP4 pango Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 pango Not affected
SUSE Linux Enterprise Server 11 SP1 pango Not affected
SUSE Linux Enterprise Server 11 SP3 pango Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS pango Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS pango Not affected
SUSE Linux Enterprise Server 12 LTSS pango Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS pango Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS pango Not affected
SUSE Linux Enterprise Server 12 SP3 pango Not affected
SUSE Linux Enterprise Server 12 SP4 pango Not affected
SUSE Linux Enterprise Server for SAP Applications 12 pango Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 pango Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 pango Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 pango Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 pango Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 pango Not affected